## com.bbn.openmap
Class SoloMapComponentReplacePolicy

    java.lang.Object
      com.bbn.openmap.SoloMapComponentReplacePolicy

All Implemented Interfaces:
  SoloMapComponentPolicy

public class SoloMapComponentReplacePolicy
extends java.lang.Object
implements SoloMapComponentPolicy

A SoloMapComponentPolicy that senses duplicate SoloMapComponents compared to the new object, removing the previous object before advising addition.

Constructor Summary
`SoloMapComponentReplacePolicy()`

Method Summary
`boolean` `canAdd(java.beans.beancontext.BeanContextSupport bc, java.lang.Object obj)` Ask whether an object can be added to the to the context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SoloMapComponentReplacePolicy

    public SoloMapComponentReplacePolicy()

Method Detail

### canAdd

    public boolean canAdd(java.beans.beancontext.BeanContextSupport bc,
                          java.lang.Object obj)
                   throws MultipleSoloMapComponentException

  Description copied from interface: `SoloMapComponentPolicy`
  Ask whether an object can be added to the to the context.

  Specified by:
    `canAdd` in interface `SoloMapComponentPolicy`
  Parameters:
    `bc` - the context to add to
    `obj` - the object to add
  Returns:
    true if the object can be added to the MapHandler, and will have removed the previous duplicate from the MapHandler.
  Throws:
    `MultipleSoloMapComponentException` - describing the conflict if there is one and the object can't be added.

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details